class AhaiCardHorizontalModel {
  String key;

  List<AhaiCardHorizontalDetailModel> data;

  AhaiCardHorizontalModel({
    required this.key,
    required this.data,
  });

  AhaiCardHorizontalModel copyWith({
    required String key,
    required List<AhaiCardHorizontalDetailModel> data,
  }) =>
      AhaiCardHorizontalModel(
        key: key,
        data: data,
      );

  factory AhaiCardHorizontalModel.fromMap(Map<String, dynamic> json) =>
      AhaiCardHorizontalModel(
        key: json["key"] ?? "",
        data: json["data"] == null
            ? []
            : List<AhaiCardHorizontalDetailModel>.from(json["data"]
                .map((x) => AhaiCardHorizontalDetailModel.fromMap(x))),
      );
}

class AhaiCardHorizontalDetailModel {
  String key;
  String value;
  String src;
  List<AhaiCardHorizontalSubDetailModel> data;

  AhaiCardHorizontalDetailModel({
    required this.key,
    required this.value,
    required this.src,
    required this.data,
  });

  AhaiCardHorizontalDetailModel copyWith({
    String? key,
    String? src,
    String? value,
    List<AhaiCardHorizontalSubDetailModel>? data,
  }) =>
      AhaiCardHorizontalDetailModel(
        key: key ?? this.key,
        src: src ?? this.src,
        value: value ?? this.value,
        data: data ?? this.data,
      );

  factory AhaiCardHorizontalDetailModel.fromMap(Map<String, dynamic> json) =>
      AhaiCardHorizontalDetailModel(
        key: json["key"] ?? "",
        src: json["src"] ?? "",
        value: json["value"] ?? "",
        data: List<AhaiCardHorizontalSubDetailModel>.from(json["data"]
            .map((x) => AhaiCardHorizontalSubDetailModel.fromMap(x))),
      );
}

class AhaiCardHorizontalSubDetailModel {
  String key;
  String value;
  String src;

  AhaiCardHorizontalSubDetailModel({
    required this.key,
    required this.value,
    required this.src,
  });

  AhaiCardHorizontalSubDetailModel copyWith({
    required String key,
    required String src,
    required String value,
  }) =>
      AhaiCardHorizontalSubDetailModel(
        key: key,
        src: src,
        value: value,
      );

  factory AhaiCardHorizontalSubDetailModel.fromMap(Map<String, dynamic> json) =>
      AhaiCardHorizontalSubDetailModel(
        key: json["key"] ?? "",
        src: json["src"] ?? "",
        value: json["value"] ?? "",
      );
}
