class AhaiCardHorizontalWithSubModel {
  AhaiCardHorizontalWithSubModel({
    required this.title,
    required this.details,
  });

  String title;
  List<AhaiCardHorizontalWithSubDetailModel> details;

  AhaiCardHorizontalWithSubModel copyWith({
    required String title,
    required List<AhaiCardHorizontalWithSubDetailModel> details,
  }) =>
      AhaiCardHorizontalWithSubModel(
        title: title,
        details: details,
      );

  factory AhaiCardHorizontalWithSubModel.fromMap(Map<String, dynamic> json) =>
      AhaiCardHorizontalWithSubModel(
        title: json["title"] ?? "",
        details: json["details"] == null
            ? []
            : List<AhaiCardHorizontalWithSubDetailModel>.from(json["details"]
                .map((x) => AhaiCardHorizontalWithSubDetailModel.fromMap(x))),
      );
}

class AhaiCardHorizontalWithSubDetailModel {
  AhaiCardHorizontalWithSubDetailModel({
    required this.range,
    required this.info,
    required this.head,
    required this.vest,
    required this.key,
    required this.src,
    required this.value,
    required this.attachments,
  });

  List<AhaiHeadModel> range;
  List<AhaiHeadModel> info;
  List<AhaiHeadModel> head;
  List<AhaiHeadModel> vest;
  String key;
  String src;
  String value;
  List<AhaiAttachmentModel> attachments;

  AhaiCardHorizontalWithSubDetailModel copyWith({
    required List<AhaiHeadModel> range,
    required List<AhaiHeadModel> info,
    required List<AhaiHeadModel> head,
    required List<AhaiHeadModel> vest,
    required String key,
    required String src,
    required List<AhaiAttachmentModel> attachments,
  }) =>
      AhaiCardHorizontalWithSubDetailModel(
        range: range,
        info: info,
        head: head,
        vest: vest,
        key: key,
        src: src,
        value: value,
        attachments: attachments,
      );

  factory AhaiCardHorizontalWithSubDetailModel.fromMap(
          Map<String, dynamic> json) =>
      AhaiCardHorizontalWithSubDetailModel(
        range: json["range"] == null
            ? []
            : List<AhaiHeadModel>.from(
                json["range"].map((x) => AhaiHeadModel.fromMap(x))),
        info: json["info"] == null
            ? []
            : List<AhaiHeadModel>.from(
                json["info"].map((x) => AhaiHeadModel.fromMap(x))),
        head: json["head"] == null
            ? []
            : List<AhaiHeadModel>.from(
                json["head"].map((x) => AhaiHeadModel.fromMap(x))),
        vest: json["vest"] == null
            ? []
            : List<AhaiHeadModel>.from(
                json["vest"].map((x) => AhaiHeadModel.fromMap(x))),
        key: json["key"] ?? "",
        src: json["src"] ?? "",
        value: json["value"] ?? "",
        attachments: json["attachments"] == null
            ? []
            : List<AhaiAttachmentModel>.from(
                json["attachments"].map((x) => AhaiAttachmentModel.fromMap(x))),
      );
}

class AhaiAttachmentModel {
  AhaiAttachmentModel({
    required this.key,
    required this.value,
    required this.src,
  });

  String key;
  String value;
  String src;

  AhaiAttachmentModel copyWith({
    required String key,
    required String value,
    required String src,
  }) =>
      AhaiAttachmentModel(
        key: key,
        value: value,
        src: src,
      );

  factory AhaiAttachmentModel.fromMap(Map<String, dynamic> json) =>
      AhaiAttachmentModel(
        key: json["key"] ?? "",
        value: json["value"] ?? "",
        src: json["src"] ?? "",
      );
}

class AhaiHeadModel {
  AhaiHeadModel({
    required this.key,
    required this.value,
  });

  String key;
  String value;

  AhaiHeadModel copyWith({
    required String key,
    required String value,
  }) =>
      AhaiHeadModel(
        key: key,
        value: value,
      );

  factory AhaiHeadModel.fromMap(Map<String, dynamic> json) => AhaiHeadModel(
        key: json["key"] ?? "",
        value: json["value"] ?? "",
      );
}
