import 'package:ahai_pub_data/model/ahai_map_detail.dart';
import 'package:ahai_pub_data/model/ahai_map_element.dart';

class AhaiMapDetailsModel {
  AhaiMapDetailsModel({
    required this.name,
    required this.maps,
    required this.data,
  });

  String name;
  List<AhaiMapElement> maps;
  List<AhaiMapDetail> data;

  AhaiMapDetailsModel copyWith({
    required String name,
    required List<AhaiMapElement> maps,
    required List<AhaiMapDetail> data,
  }) =>
      AhaiMapDetailsModel(
        name: name,
        maps: maps,
        data: data,
      );

  factory AhaiMapDetailsModel.fromMap(Map<String, dynamic> json) =>
      AhaiMapDetailsModel(
        name: json["name"] ?? "",
        maps: json["maps"] == null
            ? []
            : List<AhaiMapElement>.from(
                json["maps"].map((x) => AhaiMapElement.fromMap(x))),
        data: json["data"] == null
            ? []
            : List<AhaiMapDetail>.from(
                json["data"].map((x) => AhaiMapDetail.fromMap(x))),
      );
}
